%define upstream_name    Text-Greeking
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A module for generating meaningless text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
Greeking is the use of random letters or marks to show the overall
appearance of a printed page without showing the actual text. Greeking is
used to make it easy to judge the overall appearance of a document without
being distracted by the meaning of the text.

This is a module is for quickly generating varying meaningless text from
any source to create this illusion of the content in systems.

This module was created to quickly give developers simulated content to
fill systems with simulated content. Instead of static Lorem Ipsum text, by
using randomly generated text and optionally varying word sources,
repetitive and monotonous patterns that do not represent real system usage
is avoided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515501
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 22940
- cleaning spec file
- imported package perl-Text-Greeking


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 542841
- import perl-Text-Greeking


* Thu May 06 2010 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
